## mingw-w64-seacas-2025.10.14-2.src.tar.zst

=== cmake/tribits/examples/RawHelloWorld/CMakeLists.txt ===
# Example of a simple project that uses raw CMake
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(RawHelloWorld)
enable_testing()
add_subdirectory(hello_world)

=== packages/seacas/applications/ejoin/CMakeLists.txt ===

TRIBITS_SUBPACKAGE(Ejoin)

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}"
)

SET(HEADERS "")
APPEND_GLOB(SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.C)
TRIBITS_ADD_EXECUTABLE(
  ejoin
  NOEXEPREFIX
  NOEXESUFFIX
  SOURCES ${SOURCES}
  COMM serial mpi
  INSTALLABLE
  )

TRIBITS_SUBPACKAGE_POSTPROCESS()

if (${CMAKE_PROJECT_NAME}_ENABLE_SEACASExodiff)
TRIBITS_ADD_ADVANCED_TEST(ejoin_combine_nes_nodeset_merge
   TEST_0 EXEC ejoin ARGS --output combine_nes.g --offset 1,0,0 --match_nodeset_nodes p1:2,p2:1 --omit_nodeset p1:2,p2:1 --combine_element --combine_sideset --combine_nodeset ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g
     NOEXEPREFIX NOEXESUFFIX
   TEST_1 EXEC exodiff ARGS -show_all_diffs -pedantic ${CMAKE_CURRENT_SOURCE_DIR}/test/2block-nes-gold.g combine_nes.g
       DIRECTORY ../exodiff
       NOEXEPREFIX NOEXESUFFIX
  COMM serial
  XHOSTTYPE Windows
  )

TRIBITS_ADD_ADVANCED_TEST(ejoin_nodeset_merge
   TEST_0 EXEC ejoin ARGS --output ns-merge.g --offset p2:1,0,0 --match_nodeset_nodes p1:2,p2:1 --omit_nodeset p1:2,p2:1 ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g
     NOEXEPREFIX NOEXESUFFIX
   TEST_1 EXEC exodiff ARGS -show_all_diffs -pedantic ${CMAKE_CURRENT_SOURCE_DIR}/test/2block-gold.g ns-merge.g
       DIRECTORY ../exodiff
       NOEXEPREFIX NOEXESUFFIX
  COMM serial
  XHOSTTYPE Windows
  )

TRIBITS_ADD_ADVANCED_TEST(ejoin_combine_ne_nodeset_merge
   TEST_0 EXEC ejoin ARGS --output combine_ne.g --offset p1:0,0,0:p2:1,0,0 --match_nodeset_nodes p1:2,p2:1 --omit_nodeset p1:2,p2:1 --combine_element --combine_nodeset ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g
     NOEXEPREFIX NOEXESUFFIX
   TEST_1 EXEC exodiff ARGS -show_all_diffs -pedantic ${CMAKE_CURRENT_SOURCE_DIR}/test/2block-ne-gold.g combine_ne.g
       DIRECTORY ../exodiff
       NOEXEPREFIX NOEXESUFFIX
  COMM serial
  XHOSTTYPE Windows
  )

TRIBITS_ADD_ADVANCED_TEST(ejoin_combine_ns_nodeset_merge
   TEST_0 EXEC ejoin ARGS -output combine_ns.g --offset 1,0,0 --match_nodeset_nodes p1:2,p2:1 --omit_nodeset p1:2,p2:1 --combine_sideset --combine_nodeset ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g ${CMAKE_CURRENT_SOURCE_DIR}/test/2block1.g
     NOEXEPREFIX NOEXESUFFIX
   TEST_1 EXEC exodiff ARGS -show_all_diffs -pedantic ${CMAKE_CURRENT_SOURCE_DIR}/test/2block-ns-gold.g combine_ns.g
       DIRECTORY ../exodiff
       NOEXEPREFIX NOEXESUFFIX
  COMM serial
  XHOSTTYPE Windows
  )
endif()

=== packages/seacas/applications/epu/CMakeLists.txt ===
# This will build one or two versions of epu.
# In a MPI-enabled build, it will build 'epu' which is a serial application and 'pepu' which is a parallel-enabled epu
# In a serial, non-MPI-enabled build, it will only build 'epu'.
# On some platforms, both applications may perform the same if run in serial; however, some platforms require
# parallel applications to be run on a compute-partition.  We used to just build a parallel-enabled epu
# when MPI was enabled, but this caused issues for users on those platforms which would not allow a
# parallel application to be run on a non-compute partition, so now we build two versions...

TRIBITS_SUBPACKAGE(Epu)

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}"
)

SET(HEADERS "")
APPEND_GLOB(SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/EP_ExodusFile.C
		    ${CMAKE_CURRENT_SOURCE_DIR}/EP_Internals.C
		    ${CMAKE_CURRENT_SOURCE_DIR}/EP_ParallelDisks.C
		    ${CMAKE_CURRENT_SOURCE_DIR}/EP_SystemInterface.C)

#disabling on PGI due to an odd compiler issue with the compiler generated assembly.
#this error only seems to manifest on pgi 11.1, however, the version of the compiler
#is not given for pgi compilers unfortunately so we can't be more specific
IF(NOT __LINUX_COMPILER_PGI)
  TRIBITS_ADD_EXECUTABLE(
    epu
    NOEXEPREFIX
    NOEXESUFFIX
    SOURCES ${SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/epu.C
    INSTALLABLE
    )
IF (TPL_ENABLE_MPI)
  TRIBITS_ADD_EXECUTABLE(
    pepu
    NOEXEPREFIX
    NOEXESUFFIX
    SOURCES ${SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/pepu.C
    COMM mpi
    INSTALLABLE
    CATEGORIES BASIC PERFORMANCE
    )
    target_compile_definitions(pepu PUBLIC SEACAS_HAVE_MPI)
ENDIF()
ENDIF()

TRIBITS_SUBPACKAGE_POSTPROCESS()

=== packages/seacas/libraries/supes/CMakeLists.txt ===

TRIBITS_SUBPACKAGE(Supes)

INCLUDE(FortranSettings)

SET(SUPES_VERSION_MAJOR "4")
SET(SUPES_VERSION_MINOR "4")
SET(SUPES_VERSION_PATCH "0")
SET(SUPES_VERSION "${SUPES_VERSION_MAJOR}.${SUPES_VERSION_MINOR}")
SET(SUPES_VERSION_FULL "${SUPES_VERSION}.${SUPES_VERSION_PATCH}")

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_SOURCE_DIR}/mem_mgr"
  "${CMAKE_CURRENT_SOURCE_DIR}/ext_lib"
  "${CMAKE_CURRENT_SOURCE_DIR}/fre_fld"
)

if(TPL_ENABLE_CUDA)
SET_SOURCE_FILES_PROPERTIES(ext_lib/getline_int.c PROPERTIES COMPILE_DEFINITIONS NO_TERMIOS=1)
endif()

SET(SOURCES
	ext_lib/exmemy.c      ext_lib/extime.c      ext_lib/ixlchr.c
	ext_lib/exname.c      ext_lib/exupcs.c      ext_lib/ixlnum.c
	ext_lib/excpus.c      ext_lib/exparm.c      ext_lib/getline_int.c
	ext_lib/exdate.c      ext_lib/exread.c
	fre_fld/ffistr.f      fre_fld/frefld.f      fre_fld/getinp.f  fre_fld/gsupev.f
	fre_fld/quoted.f      fre_fld/stripb.f	    mem_mgr/mxexec.f  mem_mgr/mxlong.f	 mem_mgr/mycomp.f   mem_mgr/mymemy.f   mem_mgr/shftc.f
	mem_mgr/mdinit.F      mem_mgr/mxfind.f	    mem_mgr/mxlook.f  mem_mgr/mydel.f    mem_mgr/mynsrt.f   mem_mgr/shfti.f
	mem_mgr/mxcomp.f      mem_mgr/mxget.f	    mem_mgr/mxnsrt.f  mem_mgr/myfind.f   mem_mgr/myprnt.f   mem_mgr/srchc.f
	mem_mgr/mxdel.f	      mem_mgr/mxgive.f	    mem_mgr/mxprnt.f  mem_mgr/myget.f    mem_mgr/myrsrv.f   mem_mgr/srchi.f
	mem_mgr/mxeror.f      mem_mgr/mxlist.f	    mem_mgr/mxrsrv.f  mem_mgr/mylong.f   mem_mgr/vtable.f   mem_mgr/mxfree.f)

TRIBITS_ADD_LIBRARY(
	supes
	SOURCES ${SOURCES}
)

TRIBITS_ADD_EXECUTABLE(
  exttest
  SOURCES exttest.f
  LINKER_LANGUAGE Fortran
)

TRIBITS_ADD_TEST(
	exttest
	NAME exttest
	NUM_MPI_PROCS 1
)

TRIBITS_ADD_EXECUTABLE(
  memtest
  SOURCES memtest.f
  LINKER_LANGUAGE Fortran
)

TRIBITS_ADD_EXECUTABLE(
  ffrtest
  SOURCES ffrtest.f
  LINKER_LANGUAGE Fortran
)

TRIBITS_SUBPACKAGE_POSTPROCESS()

=== packages/seacas/libraries/suplib/CMakeLists.txt ===

TRIBITS_SUBPACKAGE(Suplib)
INCLUDE(FortranSettings)

SET(SUPLIB_VERSION_MAJOR "3")
SET(SUPLIB_VERSION_MINOR "08")
SET(SUPLIB_VERSION_PATCH "0")
SET(SUPLIB_VERSION "${SUPLIB_VERSION_MAJOR}.${SUPLIB_VERSION_MINOR}")
SET(SUPLIB_VERSION_FULL "${SUPLIB_VERSION}.${SUPLIB_VERSION_PATCH}")

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  )

SET(SOURCES
  abrstr.f
  copint.f
  dbpini.f
  ffaddv.f
  ffrrng.f
  indexi.f
  intadd.f
  logerr.f
  numeql.f
  prterr.f
  wrapup.f
  addv.f
  cpuifc.f
  dbpqa.f
  ffchar.f
  ffvrng.f
  indexn.f
  intstr.f
  lowstr.f
  numstr.f
  numstr1.f
  ran1.f
  argparse.F
  cpyint.f
  dbvini.f
  ffexst.f
  indexr.f
  iowdsz.f
  matstr.f
  okabrt.f
  scneof.f
  banner.f
  cpylog.f
  engnot.f
  ffintg.f
  gslibv.f
  indexx.f
  ismax.f
  memerr.f
  opnfil.f
  screrr.f
  bannr2.f
  cpyrea.f
  engstr.f
  ffmatc.f
  heap_sort.f
  inigrd.f
  ismin.f
  minmax.f
  packt.f
  shocmd.f
  batch.f
  cpyrgt.f
  ffaddc.f
  ffneed.f
  help.f
  iniint.f
  lenstr.f
  minmxl.f
  pcklab.f
  sqzstr.f
  ckexod.f
  cpystr.f
  ffaddi.f
  ffnumb.f
  hunt.f
  inilog.f
  locint.f
  minmxs.f
  pckstr.f
  strtup.f
  cknone.f
  dberr.f
  ffaddo.f
  ffonof.f
  idblnk.f
  inirea.f
  locrea.f
  num2ix.f
  pltond.f
  subv.f
  ckwhol.f
  dbiv0.f
  ffaddr.f
  ffreal.f
  iengrx.f
  inistr.f
  locstr.f
  numeqi.f
  pltone.f
  wheneq.f
  addlog.c
  format_list.c
  )

TRIBITS_ADD_LIBRARY(
  suplib
  NOINSTALLHEADERS
  SOURCES ${SOURCES}
  )

TRIBITS_SUBPACKAGE_POSTPROCESS()

=== packages/seacas/libraries/ioss/src/CMakeLists.txt ===
IF (${PROJECT_NAME}_ENABLE_Kokkos)
  SET(SEACAS_HAVE_KOKKOS ON)
ENDIF()

IF (TPL_ENABLE_Pamgen OR Trilinos_ENABLE_Pamgen )
  SET(SEACAS_HAVE_PAMGEN ON)
ENDIF()

IF (TPL_ENABLE_MPI)
  SET(SEACAS_HAVE_MPI ON)
ENDIF()

IF (TPL_ENABLE_DataWarp)
  SET(SEACAS_HAVE_DATAWARP ON)
ENDIF()

IF (TPL_ENABLE_CGNS)
  SET(SEACAS_HAVE_CGNS ON)
ENDIF()

IF (${TPL_ENABLE_Faodel})
  SET(SEACAS_HAVE_FAODEL ON)
ENDIF()

IF (TPL_ENABLE_AWSSDK AND TPL_ENABLE_Cereal)
  SET(SEACAS_HAVE_S3 ON)
ENDIF()

IF (TPL_ENABLE_Catalyst2)
  SET(SEACAS_HAVE_CATALYST2 ON)
ENDIF()

IF (${PACKAGE_NAME}_ENABLE_SEACASExodus)
  SET(SEACAS_HAVE_EXODUS ON)
  IF (ENABLE_ExoNull)
     SET(SEACAS_HAVE_EXONULL ON)
  ENDIF()
ENDIF()


TRIBITS_CONFIGURE_FILE(${PACKAGE_NAME}_config.h)

SET(HEADERS "")
SET(SOURCES "")

SET(HEADERS ${HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/${PACKAGE_NAME}_config.h)


ASSERT_DEFINED(${PROJECT_NAME}_ENABLE_Zoltan)
IF (NOT ${PROJECT_NAME}_ENABLE_Zoltan)
  ADD_DEFINITIONS(-DNO_ZOLTAN_SUPPORT)
ENDIF()

if(TPL_ENABLE_CUDA)
SET_SOURCE_FILES_PROPERTIES(Ioss_Getline.C PROPERTIES COMPILE_DEFINITIONS NO_TERMIOS=1)
endif()

IF (NOT TPL_ENABLE_ParMETIS)
  ADD_DEFINITIONS(-DNO_PARMETIS_SUPPORT)
ENDIF()

TRIBITS_SET_AND_INC_DIRS(DIR ${CMAKE_CURRENT_SOURCE_DIR})
APPEND_GLOB(HEADERS ${DIR}/Ioss_*.h)
APPEND_GLOB(HEADERS ${DIR}/tokenize.h)
APPEND_GLOB(HEADERS ${DIR}/io_info.h)
APPEND_GLOB(HEADERS ${DIR}/*hopscotch*.h)
APPEND_GLOB(HEADERS ${DIR}/robin*.h)
APPEND_GLOB(HEADERS ${DIR}/pdq*.h)
APPEND_GLOB(SOURCES ${DIR}/*.C)
APPEND_GLOB(SOURCES ${DIR}/*.c)
APPEND_GLOB(HEADERS ${DIR}/elements/Ioss_*.h)
APPEND_GLOB(SOURCES ${DIR}/elements/*.C)

IF (NOT TPL_ENABLE_MPI)
  LIST(REMOVE_ITEM SOURCES ${DIR}/Ioss_Decomposition.C)
  LIST(REMOVE_ITEM HEADERS ${DIR}/Ioss_Decomposition.h)
ENDIF()

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_SOURCE_DIR}/elements"
  "${CMAKE_CURRENT_BINARY_DIR}"
  "${Zoltan_INCLUDE_DIRS}"
  )

IF (NOT TPL_ENABLE_fmt)
  TRIBITS_INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/private_copy_fmt")
ENDIF()

list(APPEND HEADERS
  "${CMAKE_CURRENT_BINARY_DIR}/ioss_export.h")

TRIBITS_ADD_LIBRARY(
  Ioss
  HEADERS ${HEADERS}
  SOURCES ${SOURCES}
  )

include(GenerateExportHeader)
generate_export_header(Ioss)
target_include_directories(Ioss
  PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

IF (MINGW)
  target_link_libraries(Ioss PUBLIC psapi)
ENDIF ()

if (${CMAKE_PROJECT_NAME} STREQUAL "Seacas")
   # add a target to generate API documentation with Doxygen
   if(Seacas_ENABLE_DOXYGEN)
     find_package(Doxygen)
     if(DOXYGEN_FOUND)
       add_custom_command(TARGET Ioss
          COMMAND ${DOXYGEN_EXECUTABLE} ARGS Doxyfile
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/..
          COMMENT "Generating IOSS API documentation with Doxygen" VERBATIM
        )
     endif(DOXYGEN_FOUND)
   endif()
endif()

IF (${PACKAGE_NAME}_ENABLE_SEACASExodus)
  ADD_SUBDIRECTORY(exodus)
  IF (ENABLE_ExoNull)
     ADD_SUBDIRECTORY(exonull)
  ENDIF()
ENDIF()


IF (TPL_ENABLE_Pamgen OR Trilinos_ENABLE_Pamgen )
  ADD_SUBDIRECTORY(pamgen)
ENDIF()

IF (TPL_ENABLE_CGNS)
  ADD_SUBDIRECTORY(cgns)
ENDIF()

IF (${TPL_ENABLE_Faodel})
  ADD_SUBDIRECTORY(faodel)
ENDIF()

IF (${TPL_ENABLE_AWSSDK})
  ADD_SUBDIRECTORY(s3)
ENDIF()

IF (TPL_ENABLE_ADIOS2)
  ADD_SUBDIRECTORY(adios)
ENDIF()

IF (TPL_ENABLE_Catalyst2)
  ADD_SUBDIRECTORY(catalyst)
ENDIF()

ADD_SUBDIRECTORY(null)
ADD_SUBDIRECTORY(visualization)
ADD_SUBDIRECTORY(generated)
ADD_SUBDIRECTORY(text_mesh)
ADD_SUBDIRECTORY(gen_struc)
ADD_SUBDIRECTORY(heartbeat)
ADD_SUBDIRECTORY(transform)
ADD_SUBDIRECTORY(init)
IF (${CMAKE_PROJECT_NAME}_ENABLE_SEACASIoss_Applications)
   ADD_SUBDIRECTORY(main)
ENDIF()

IF (TPL_ENABLE_Catch2)
   TRIBITS_ADD_TEST_DIRECTORIES(utest)
ENDIF()

IF (TPL_ENABLE_GTest)
  TRIBITS_ADD_TEST_DIRECTORIES(unit_tests)
  IF (TPL_ENABLE_Catalyst2)
    TRIBITS_ADD_TEST_DIRECTORIES(catalyst_tests)
  ENDIF()
ENDIF()

=== packages/seacas/libraries/ioss/src/init/CMakeLists.txt ===

SET(HEADERS "")
SET(SOURCES "")

TRIBITS_SET_AND_INC_DIRS(DIR ${CMAKE_CURRENT_SOURCE_DIR})
APPEND_GLOB(HEADERS ${DIR}/*.h)
APPEND_GLOB(SOURCES ${DIR}/*.C)

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}/../"
  "${CMAKE_CURRENT_BINARY_DIR}/../"
)

IF (TPL_ENABLE_Pamgen OR Trilinos_ENABLE_Pamgen )
  SET(PAMGENLIB Iopg)
ENDIF()

IF (TPL_ENABLE_Faodel)
    SET(FAODELLIB Iofaodel)
ENDIF()

IF (TPL_ENABLE_AWSSDK AND TPL_ENABLE_Cereal)
  SET(S3LIB Ios3)
ENDIF()

IF (${PACKAGE_NAME}_ENABLE_SEACASExodus)
  SET(EXODUSLIB Ioex)
ENDIF()

IF (TPL_ENABLE_CGNS)
  SET(CGNSLIB Iocgns)
ENDIF()

IF (TPL_ENABLE_ADIOS2)
  SET(ADIOS2LIB Ioad)
ENDIF()

SET(IOVISLIB Iovs)

IF (TPL_ENABLE_Catalyst2)
  SET(CATALYST2LIB Iocatalyst)
endif()

list(APPEND HEADERS
  "${CMAKE_CURRENT_BINARY_DIR}/ionit_export.h")

TRIBITS_ADD_LIBRARY(
	Ionit
	HEADERS	${HEADERS}
	SOURCES ${SOURCES}
	DEPLIBS Ioss ${EXODUSLIB}
	        Iogn Iogs Iohb Iotm Iotr ${IOVISLIB} Ionull
          ${PAMGENLIB} ${CGNSLIB} ${VISLIB} ${FAODELLIB} ${S3LIB} ${ADIOS2LIB} ${CATALYST2LIB}
)

generate_export_header(Ionit)
target_include_directories(Ionit
  PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

IF (BUILD_TESTING)
  ENABLE_TESTING()
ENDIF()

=== packages/seacas/libraries/ioss/src/s3/CMakeLists.txt ===
# Copyright(C) 2025 National Technology & Engineering Solutions
# of Sandia, LLC (NTESS). Under the terms of Contract DE-NA0003525 with
# NTESS, the U.S. Government retains certain rights in this software.
#
# See packages/seacas/LICENSE for details

SET(HEADERS "")
SET(SOURCES "")

TRIBITS_SET_AND_INC_DIRS(DIR ${CMAKE_CURRENT_SOURCE_DIR})
APPEND_GLOB(HEADERS ${DIR}/*.h)
APPEND_GLOB(SOURCES ${DIR}/*.C)

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}/../"
  "${CMAKE_CURRENT_BINARY_DIR}/../"
  )

list(APPEND HEADERS
  "${CMAKE_CURRENT_BINARY_DIR}/ios3_export.h")

TRIBITS_ADD_LIBRARY(
  Ios3
  HEADERS ${HEADERS}
  SOURCES ${SOURCES}
  DEPLIBS
  Ioss
  )

generate_export_header(Ios3)
target_include_directories(Ios3
  PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

IF (BUILD_TESTING)
  ENABLE_TESTING()
ENDIF()

=== PKGBUILD ===
# Maintainer: Rafał Brzegowy <rafal.brzegowy@yahoo.com>

_realname=seacas
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=2025.10.14
_releases=${pkgver//./-}
pkgrel=2
pkgdesc="The Sandia Engineering Analysis Code Access System (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://gsjaardema.github.io/seacas/"
msys2_repository_url="https://github.com/gsjaardema/seacas"
license=('spdx:BSD-3-Clause')
conflicts=("${MINGW_PACKAGE_PREFIX}-libexodus")
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs"
         #"${MINGW_PACKAGE_PREFIX}-adios2"
         #"${MINGW_PACKAGE_PREFIX}-aws-sdk-cpp"
         "${MINGW_PACKAGE_PREFIX}-cgns"
         "${MINGW_PACKAGE_PREFIX}-fmt"
         "${MINGW_PACKAGE_PREFIX}-libwinpthread"
         "${MINGW_PACKAGE_PREFIX}-metis"
         "${MINGW_PACKAGE_PREFIX}-matio"
         "${MINGW_PACKAGE_PREFIX}-netcdf")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-python")
             #"${MINGW_PACKAGE_PREFIX}-cereal")
source=("https://github.com/gsjaardema/seacas/archive/v${_releases}/${_realname}-${pkgver}.tar.gz"
        "0001-cmake-add-libs.patch"
        "0002-cmake-findHDF5.patch"
        "0003-fix-find-aws-sdk.patch")
sha256sums=('f9351a8f1a555a015020f249b1e5c26a282fbb6e274f9b71eb38720d61267dda'
            'a3561756bfdeb942fc62add0aefa542b0e689b76a7f0d2d357e299465ee344d2'
            'ad1fecedab32279712afb8112d0d39dd80cbd67fbf2c4f30b26f41b7ad26c731'
            'bbe6bfd9676fdc2b0640255f90b79e0cb1ab541b062dbe5ab002006b1535f377')
noextract=(${_realname}-${pkgver}.tar.gz)

prepare() {
  plain "Extract ${_realname}-${pkgver}.tar.gz..."
  tar -xzf ${_realname}-${pkgver}.tar.gz || true

  cd "${srcdir}/${_realname}-${_releases}"
  patch -p1 -i "${srcdir}/0001-cmake-add-libs.patch"
  patch -p1 -i "${srcdir}/0002-cmake-findHDF5.patch"
  patch -p1 -i "${srcdir}/0003-fix-find-aws-sdk.patch"
}

build() {
  declare -a extra_config
  if check_option "debug" "n"; then
    extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  #Static Build
  mkdir -p "${_realname}-${_releases}/build-${MSYSTEM}-static" && cd "${_realname}-${_releases}/build-${MSYSTEM}-static"

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    INSTALL_PATH=${MINGW_PREFIX} \
    THREADSAFE=ON \
    ZOLTAN=NO \
    ../cmake-config \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
      ${extra_config[@]} \
      -DCMAKE_C_COMPILER=${MINGW_PREFIX}/bin/${CC}.exe \
      -DCMAKE_CXX_COMPILER=${MINGW_PREFIX}/bin/${CXX}.exe \
      -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python.exe \
      -DSeacas_ENABLE_Fortran=OFF \
      -DTPL_ENABLE_X11=OFF \
      -DSeacas_ENABLE_TESTS=OFF \
      -DBUILD_SHARED_LIBS=OFF

  ${MINGW_PREFIX}/bin/cmake --build .

  #Shared Build
  mkdir -p "../build-${MSYSTEM}-shared" && cd "../build-${MSYSTEM}-shared"

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    INSTALL_PATH=${MINGW_PREFIX} \
    THREADSAFE=ON \
    ZOLTAN=NO \
    ../cmake-config \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
      ${extra_config[@]} \
      -DCMAKE_C_COMPILER=${MINGW_PREFIX}/bin/${CC}.exe \
      -DCMAKE_CXX_COMPILER=${MINGW_PREFIX}/bin/${CXX}.exe \
      -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python.exe \
      -DSeacas_ENABLE_Fortran=OFF \
      -DTPL_ENABLE_X11=OFF \
      -DSeacas_ENABLE_TESTS=OFF \
      -DBUILD_SHARED_LIBS=ON

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  #Static Install
  cd "${srcdir}/${_realname}-${_releases}/build-${MSYSTEM}-static"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .

  #Shared Install
  cd "${srcdir}/${_realname}-${_releases}/build-${MSYSTEM}-shared"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .

  install -Dm644 "${srcdir}"/${_realname}-${_releases}/LICENSE \
    "${pkgdir}"${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE

  local PREFIX_WIN=$(cygpath -wm ${MINGW_PREFIX})
  for _f in $(find "${pkgdir}"${MINGW_PREFIX}/lib -type f -name '*.cmake'); do
    sed -e "s|${PREFIX_WIN}|\$\{CMAKE_CURRENT_LIST_DIR\}/../../..|g" -i ${_f}
    sed -e "s|${MINGW_PREFIX}|\$\{CMAKE_CURRENT_LIST_DIR\}/../../..|g" -i ${_f}
  done
}
